View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001510aMuleMiscpublic2009-04-15 16:132010-05-19 09:45
ReporterHeffer 
Assigned ToWuischke 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.2.4 
Target VersionFixed in Version2.3.1 
Summary0001510: Convert man files to UTF-8
DescriptionIt would be great if the man files could be converted to UTF-8 alltogether. I'm packaging aMule for Fedora and the guidelines require the files to be in UTF-8. Also this makes sense to me because they contain special characters from different languages.
TagsNo tags attached.
Fixed in Revision10180
Operating SystemAny
Attached Files

- Relationships

-  Notes
(0003117)
Wuischke (manager)
2009-04-16 18:01

I fixed this now in SVN, unfortunately I can't fix it after the fact in 2.2.4.

The following bash code should do the job for packaging aMule 2.2.4 for Fedora:

for i in $(ls); do mv $i $i.tmp; iconv -f LATIN1 -t UTF-8 $i.tmp > $i; done
(0003301)
Heffer (reporter)
2009-09-20 16:55

I'd like to reopen this issue. Now that 2.2.6 is released I would assume that the fixes in the SVN have made it into the release. However rpmlint still yields the following results:

[felix@polaris result]$ rpmlint *.rpm
amule.x86_64: W: file-not-utf8 /usr/share/man/hu/man1/amule.1.gz
amule.x86_64: W: file-not-utf8 /usr/share/man/es/man1/cas.1.gz
amule.x86_64: W: file-not-utf8 /usr/share/man/hu/man1/alc.1.gz
amule.x86_64: W: file-not-utf8 /usr/share/man/es/man1/wxcas.1.gz
amule.x86_64: W: file-not-utf8 /usr/share/man/hu/man1/wxcas.1.gz
amule.x86_64: W: file-not-utf8 /usr/share/man/fr/man1/amule.1.gz
amule.x86_64: W: file-not-utf8 /usr/share/man/hu/man1/cas.1.gz
amule.x86_64: W: file-not-utf8 /usr/share/man/es/man1/amule.1.gz
amule.x86_64: W: file-not-utf8 /usr/share/man/es/man1/alc.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/hu/man1/ed2k.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/es/man1/amulecmd.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/hu/man1/amulecmd.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/hu/man1/amuleweb.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/es/man1/ed2k.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/es/man1/alcc.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/fr/man1/alcc.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/fr/man1/amuled.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/hu/man1/amuled.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/fr/man1/ed2k.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/fr/man1/amuleweb.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/es/man1/amuleweb.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/es/man1/amuled.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/fr/man1/amulecmd.1.gz
amule-nogui.x86_64: W: file-not-utf8 /usr/share/man/hu/man1/alcc.1.gz
xchat-amule.noarch: W: file-not-utf8 /usr/share/man/es/man1/xas.1.gz
xchat-amule.noarch: W: file-not-utf8 /usr/share/man/hu/man1/xas.1.gz
(0003302)
Heffer (reporter)
2009-09-20 17:05

JFYI I currently convert all the manpages using the following scriptlet:

manfiles=`find . -name "*.1"`
for manfile in $manfiles; do
    iconv -f ISO-8859-1 -t UTF-8 < $manfile > $manfile.utf8
    touch -r $manfile $manfile.utf8
    mv -f $manfile.utf8 $manfile
done

- Issue History
Date Modified Username Field Change
2009-04-15 16:13 Heffer New Issue
2009-04-15 16:13 Heffer Operating System => Any
2009-04-16 18:01 Wuischke Status new => resolved
2009-04-16 18:01 Wuischke Resolution open => fixed
2009-04-16 18:01 Wuischke Assigned To => Wuischke
2009-04-16 18:01 Wuischke Note Added: 0003117
2009-09-20 16:55 Heffer Note Added: 0003301
2009-09-20 16:55 Heffer Status resolved => feedback
2009-09-20 16:55 Heffer Resolution fixed => reopened
2009-09-20 17:05 Heffer Note Added: 0003302
2010-05-19 09:45 GonoszTopi Fixed in Revision => 10180
2010-05-19 09:45 GonoszTopi Status feedback => resolved
2010-05-19 09:45 GonoszTopi Resolution reopened => fixed
2010-05-19 09:45 GonoszTopi Fixed in Version => 2.3.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker